package com.dsk.jsk.controller;

import cn.hutool.json.JSONObject;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.jsk.service.IndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @ClassName IndexController
 * @Description TODO
 * @Author Dgm
 * @Date 2023/8/15 12:01
 * @Version 1.0
 */
@RestController
@RequestMapping("/index")
public class IndexController {

    @Autowired
    private IndexService enterpriseService;

    @PostMapping(value = "bigWinningBidsPage")
    public AjaxResult bigWinningBidsPage(@RequestBody JSONObject object) throws Exception {
        return enterpriseService.bigWinningBidsPage(object);
    }

    @PostMapping(value = "bigBidPage")
    public AjaxResult bigBidPage(@RequestBody JSONObject object) throws Exception {
        return enterpriseService.bigBidPage(object);
    }

    @PostMapping("/countByCompany")
    public AjaxResult countByCompany(@RequestBody JSONObject object) {
        return enterpriseService.countByCompany(object);
    }

    @PostMapping("/bidRank")
    public AjaxResult bidRank(@RequestBody JSONObject object) {
        return enterpriseService.bidRank(object);
    }


    /**
     *
     *
     * 总金额、总面积统计--刘杰那边的接口
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/statisticsOfAmountAndArea")
    public AjaxResult statisticsOfAmountAndArea(@RequestBody JSONObject object)  {
        return enterpriseService.statisticsOfAmountAndArea(object);
    }


    /**
     *
     *
     * 基础维度统计--刘杰那边的接口
     * /nationzj/landMarket/commonStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/jcwdtj")
    public AjaxResult jcwdtj(@RequestBody JSONObject object)  {
        return enterpriseService.jcwdtj(object);
    }


    /**
     *
     *
     * 前十企业统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/topten")
    public AjaxResult topten(@RequestBody JSONObject object)  {
        return enterpriseService.topten(object);
    }


    /**
     *
     *
     * 商机-拟建查询-总金额统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/njzjetj")
    public AjaxResult njzjetj(@RequestBody JSONObject object)  {
        return enterpriseService.njzjetj(object);
    }

    /**
     *
     *
     * 商机-拟建查询-基础维度统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/njjcwdtj")
    public AjaxResult njjcwdtj(@RequestBody JSONObject object)  {
        return enterpriseService.njjcwdtj(object);
    }

    /**
     *
     *
     * 商机-拟建查询-前十企业统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/njtopten")
    public AjaxResult njtopten(@RequestBody JSONObject object)  {
        return enterpriseService.njtopten(object);
    }


    /**
     *
     *
     * 商机-招标公告-总金额统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbggzjetj")
    public AjaxResult zbggzjetj(@RequestBody JSONObject object)  {
        return enterpriseService.zbggzjetj(object);
    }

    /**
     *
     *
     * 商机-招标公告-基础维度统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbggjcwdtj")
    public AjaxResult zbggjcwdtj(@RequestBody JSONObject object)  {
        return enterpriseService.zbggjcwdtj(object);
    }


    /**
     *
     *
     * 商机-招标公告-前十企业统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbggtopten")
    public AjaxResult zbggtopten(@RequestBody JSONObject object)  {
        return enterpriseService.zbggtopten(object);
    }

    /**
     *
     *
     * 招标计划查询-总金额统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbjhcxzjetj")
    public AjaxResult zbjhcxzjetj(@RequestBody JSONObject object)  {
        return enterpriseService.zbjhcxzjetj(object);
    }

    /**
     *
     *
     * 招标计划查询-基础维度统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbjhcxjcwdtj")
    public AjaxResult zbjhcxjcwdtj(@RequestBody JSONObject object)  {
        return enterpriseService.zbjhcxjcwdtj(object);
    }


    /**
     *
     *
     * 招标计划查询-前十企业统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zbjhcxtopten")
    public AjaxResult zbjhcxtopten(@RequestBody JSONObject object)  {
        return enterpriseService.zbjhcxtopten(object);
    }




    /**
     *
     *
     * 重点项目清单查询-总金额统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zdxmqdzjetj")
    public AjaxResult zdxmqdzjetj(@RequestBody JSONObject object)  {
        return enterpriseService.zdxmqdzjetj(object);
    }



    /**
     *
     *
     * 重点项目清单查询-基础统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zdxmqdjctj")
    public AjaxResult zdxmqdjctj(@RequestBody JSONObject object)  {
        return enterpriseService.zdxmqdjctj(object);
    }




    /**
     *
     *
     * 重点项目清单查询-前十企业--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zdxmqdtopten")
    public AjaxResult zdxmqdtopten(@RequestBody JSONObject object)  {
        return enterpriseService.zdxmqdtopten(object);
    }










    /**
     *
     *
     * 专项债项目-总金额统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zxzxmzjetj")
    public AjaxResult zxzxmzjetj(@RequestBody JSONObject object)  {
        return enterpriseService.zxzxmzjetj(object);
    }


    /**
     *
     *
     * 专项债项目-基础统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zxzxmjctj")
    public AjaxResult zxzxmjctj(@RequestBody JSONObject object)  {
        return enterpriseService.zxzxmjctj(object);
    }



    /**
     *
     *
     * 专项债项目查询-企业统计--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/zxzxmqytj")
    public AjaxResult zxzxmqytj(@RequestBody JSONObject object)  {
        return enterpriseService.zxzxmqytj(object);
    }


    /**
     *
     *
     * 集团中标业绩统计统计图--刘杰那边的接口
     * /nationzj/landMarket/companyStatis
     * @param object
     * @return {@link AjaxResult }
     * @throws Exception
     */
    @PostMapping(value = "/project/combine/recentlyStatis")
    public AjaxResult projectCombineRecentlyStatis(@RequestBody JSONObject object)  {
        return enterpriseService.projectCombineRecentlyStatis(object);
    }



}
